using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace DataClasses
{
    public class Lesson : BaseClass<int>
    {
        [Display(Name = "Skratka")]
        [MaxLength(4,ErrorMessage = "Skratka môže mať max. 4 písmená!")]
        [Required(ErrorMessage = "Povinné vyplniť!")]
        public string ShortName { get; set; }

        [Display(Name = "Celý názov")]
        [MaxLength(50, ErrorMessage = "Maximálne 50 znakov!")]
        public string FullName { get; set; }
        
        public DateTime? SingleLessonDate { get; set; }
        public virtual ICollection<UserProfile> UserProfiles { get; set; }
        public virtual SchoolDayRoom SchoolDay { get; set; }
    }
}
